ALAS-2020-1361


Amazon Linux AMI Security Advisory: ALAS-2020-1361
Advisory Release Date: 2020-04-23 23:05 Pacific
Severity: Medium
References: CVE-2020-10531 

Issue Overview:

An issue was discovered in International Components for Unicode (ICU) for C/C++ through 66.1. An integer overflow, leading to a heap-based buffer overflow, exists in the UnicodeString::doAppend() function in common/unistr.cpp. (CVE-2020-10531 )


Affected Packages:

icu


Issue Correction:
Run yum update icu to update your system.

New Packages:
i686:
    icu-debuginfo-50.2-4.0.amzn1.i686
    libicu-devel-50.2-4.0.amzn1.i686
    libicu-50.2-4.0.amzn1.i686
    icu-50.2-4.0.amzn1.i686

noarch:
    libicu-doc-50.2-4.0.amzn1.noarch

src:
    icu-50.2-4.0.amzn1.src

x86_64:
    libicu-50.2-4.0.amzn1.x86_64
    icu-50.2-4.0.amzn1.x86_64
    icu-debuginfo-50.2-4.0.amzn1.x86_64
    libicu-devel-50.2-4.0.amzn1.x86_64